## imcode.server.user
Class DocumentShowSettings

    java.lang.Object
      imcode.server.user.DocumentShowSettings

    public class DocumentShowSettings

extends java.lang.Object

Document show mode.

Author:
  Anton Josua

Constructor Summary
`DocumentShowSettings()`

Method Summary
`DocumentVersionTag` `getDocumentVersionTag()`
`boolean` `isIgnoreI18nShowMode()`
`void` `setDocumentVersionTag(DocumentVersionTag documentVersionTag)`
`void` `setIgnoreI18nShowMode(boolean ignoreI18nShowMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentShowSettings

    public DocumentShowSettings()

Method Detail

### getDocumentVersionTag

    public DocumentVersionTag getDocumentVersionTag()

### setDocumentVersionTag

    public void setDocumentVersionTag(DocumentVersionTag documentVersionTag)

### isIgnoreI18nShowMode

    public boolean isIgnoreI18nShowMode()

### setIgnoreI18nShowMode

    public void setIgnoreI18nShowMode(boolean ignoreI18nShowMode)